# Interface IQueryOptions

Possible options when performing a query with the query controller

## Index

### Properties

- beforeExecuteQuery
- cancel
- ignoreWarningSearchEvent
- logInActionsHistory
- origin
- searchAsYouType

## Properties

### Optional beforeExecuteQuery

beforeExecuteQuery: function

- Defined in controllers/QueryController.ts :52

Specify a function that you wish to execute just before the query is executed

#### Type declaration

- - (): void

  - #### Returns void

### Optional cancel

cancel: boolean

- Defined in controllers/QueryController.ts :56

Cancel the query

### Optional ignoreWarningSearchEvent

ignoreWarningSearchEvent: boolean

- Defined in controllers/QueryController.ts :44

If the analytics component is enabled in the interface, it will look for any query executed by the query controller for which no analytics event was associated.
By setting this property to true, this will cancel this check when the query is performed

### Optional logInActionsHistory

logInActionsHistory: boolean

- Defined in controllers/QueryController.ts :68

Whether or not to log the query in the user actions history when using the page view script: https://github.com/coveo/coveo.analytics.js. Only the 'q' part of the query will be logged. This option is useful, because it prevents the query to be logged twice when a Recommendation component is present. It also makes sure that only relevant queries are logged. For exemple, the 'empty' interface load query isn't logged.

### Optional origin

origin: any

- Defined in controllers/QueryController.ts :60

The component from which the query originated. For example the pager will set the property to tweak it's behaviour

### Optional searchAsYouType

searchAsYouType: boolean

- Defined in controllers/QueryController.ts :48

Whether the query to execute is a search-as-you-type. This information will be passed down in the query events for component and external code to determine their behavior

### Hierarchy

- IQueryOptions